> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file headers by module

> Get the list of file headers for a given module.<p>**Note:** File headers are basically the column headers or titles of the exported document.</p>



## OpenAPI

````yaml exports.openapi get /oms-exports/module-headers/{module}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Support Team
  description: >-
    fabric **Exports** API supports exporting data of different modules such as
    Orders, Locations, Allocations, Inventory, Invoices, Networks,
    Shipping_Methods, and Aggregated_Networks. fabric's Exports API lets you
    export module-specific data (saved in JSON format in the database) to a zip
    file. These zip files contain different CSV files where:

    -   Each field of a single JSON schema is a file header (also called column
    title) in the CSV file

    -   Each item of the JSON schema is a row in the CSV file

    <p>The data, in the database, are arranged as nested objects and arrays
    which are complex to use. fabric's Exports API simplifies the data of a
    single object by segregating them into multiple CSV files (by specific
    identifiers) for ease of use.</p>

    <p>The following are the module (fabric service) names and its generated CSV
    files:<br/>1. Orders: order (exported by item), discount, logs, notes,
    payments, shipInfo<br/>2. Allocations: allocation, logs<br/>3. Shipments:
    shipment<br/>4. Shipping_Methods: shipping_methods<br/>5. Locations:
    location<br/>6. Invoices: invoice, appeasements, discounts, payments<br/>7.
    Inventory: inventory.</p>
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: Orders - Exports API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: >-
      fabric **Exports** API supports exporting data of different modules such
      as Orders, Locations, Allocations, Inventory, Invoices, Networks,
      Shipping_Methods, and Aggregated_Networks. fabric's Exports API lets you
      export module-specific data (saved in JSON format in the database) to a
      zip file. These zip files contain different CSV files where:

      -   Each field of a single JSON schema is a file header (also called
      column title) in the CSV file

      -   Each item of the JSON schema is a row in the CSV file

      <p>The data, in the database, are arranged as nested objects and arrays
      which are complex to use. fabric's Exports API simplifies the data of a
      single object by segregating them into multiple CSV files (by specific
      identifiers) for ease of use.</p>

      <p>The following are the module (fabric service) names and its generated
      CSV files:<br/>1. Orders: order (exported by item), discount, logs, notes,
      payments, shipInfo<br/>2. Allocations: allocation, logs<br/>3. Shipments:
      shipment<br/>4. Shipping_Methods: shipping_methods<br/>5. Locations:
      location<br/>6. Invoices: invoice, appeasements, discounts,
      payments<br/>7. Inventory: inventory.</p>
    name: Exports
externalDocs:
  description: Find out more about fabric Orders (also called OMS)
  url: https://developer.fabric.inc/v3/docs/orders-overview
paths:
  /oms-exports/module-headers/{module}:
    get:
      tags:
        - Exports
      summary: Get file headers by module
      description: >-
        Get the list of file headers for a given module.<p>**Note:** File
        headers are basically the column headers or titles of the exported
        document.</p>
      operationId: getFileHeaders
      parameters:
        - description: >-
            Module for which file headers are returned. Accepted values: ORDER |
            LOCATION | ALLOCATION | INVENTORY | INVOICE| SHIPMENT | NETWORK |
            SHIPPING_METHODS | AGGREGATED_NETWORK
          example: ORDER
          in: path
          name: module
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/exportHeadersResponse'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    exportHeadersResponse:
      description: Export headers response details
      properties:
        exportsHeaders:
          description: Export headers list
          items:
            $ref: '#/components/schemas/exportHeader'
          type: array
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
    exportHeader:
      description: Export header details
      properties:
        fileHeaders:
          description: List of headers
          items:
            description: Headers of the exported file
            example: orderNumber
            type: string
          type: array
        fileName:
          description: Name of file that contains headers list
          example: appeasements
          type: string
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````